aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Orlitzky <mjo@gentoo.org>2018-01-27 22:38:26 -0500
committerMike Gilbert <floppym@gentoo.org>2023-06-22 09:54:38 -0400
commit652097eb4228ac9ba9973811b2832fc77f2048a2 (patch)
tree5312ad6de540382f9d02f740cc22572974372ee4
parenttests: add test case for fchown/fchmod with O_RDONLY. (diff)
downloadsandbox-652097eb4228ac9ba9973811b2832fc77f2048a2.tar.gz
sandbox-652097eb4228ac9ba9973811b2832fc77f2048a2.tar.bz2
sandbox-652097eb4228ac9ba9973811b2832fc77f2048a2.zip
tests: add more tests to make sure fchown/fchmod are handled correctly.
Closes: https://bugs.gentoo.org/599706 Signed-off-by: Michael Orlitzky <mjo@gentoo.org> Signed-off-by: Mike Gilbert <floppym@gentoo.org>
-rwxr-xr-xtests/fchmod-2.sh11
-rw-r--r--tests/fchmod.at1
-rwxr-xr-xtests/fchown-2.sh11
-rw-r--r--tests/fchown.at1
4 files changed, 24 insertions, 0 deletions
diff --git a/tests/fchmod-2.sh b/tests/fchmod-2.sh
new file mode 100755
index 0000000..96d7cc9
--- /dev/null
+++ b/tests/fchmod-2.sh
@@ -0,0 +1,11 @@
+#!/bin/sh
+#
+# Ensure that fchmod() doesn't trigger spurious violations in the most
+# basic of cases.
+#
+addwrite $PWD
+
+# This should not trigger a violation.
+rm -f file
+touch file
+fchmod-0 0644 file || exit 1
diff --git a/tests/fchmod.at b/tests/fchmod.at
index 081d7d2..d364b4b 100644
--- a/tests/fchmod.at
+++ b/tests/fchmod.at
@@ -1 +1,2 @@
SB_CHECK(1)
+SB_CHECK(2)
diff --git a/tests/fchown-2.sh b/tests/fchown-2.sh
new file mode 100755
index 0000000..dedfbe4
--- /dev/null
+++ b/tests/fchown-2.sh
@@ -0,0 +1,11 @@
+#!/bin/sh
+#
+# Ensure that fchown() doesn't trigger spurious violations in the most
+# basic of cases.
+#
+addwrite $PWD
+
+# This should not trigger a violation.
+rm -f file
+touch file
+fchown-0 ${SB_UID} ${SB_GID} file || exit 1
diff --git a/tests/fchown.at b/tests/fchown.at
index 081d7d2..d364b4b 100644
--- a/tests/fchown.at
+++ b/tests/fchown.at
@@ -1 +1,2 @@
SB_CHECK(1)
+SB_CHECK(2)